# Sandbox

The **sandbox** environment is not connected to either KYC or actual banking rails, which means that such processes are not carried out. Therefore, there are a set of sandbox-only endpoints that allow you to manually approve KYC and deposits/withdrawals. This will allow you to test your integration with full independence in development mode.

&#x20;The following endpoints are available in our sandbox:

* Approve KYC
* Settle transaction

**Note: These endpoints are only available in the sandbox environment.**

## Approve KYC

<mark style="color:green;">`POST`</mark> `https://api.sandbox.publicmint.io/sandbox/identities/approve`

This Sandbox endpoint allows you to approve the KYC process of a specific identity.

#### Request Body

| Name       | Type   | Description                          |
| ---------- | ------ | ------------------------------------ |
| identityId | String | Identity identifier. Format: `uuid`. |
| email      | String | Identity email.                      |

{% tabs %}
{% tab title="200 Cake successfully retrieved." %}

```
{
    "message": "Identity sent to approval"
}
```

{% endtab %}
{% endtabs %}

## Settle Transaction

<mark style="color:green;">`POST`</mark> `https://api.sandbox.publicmint.io/transactions/:id/sandbox/confirm`

This Sandbox endpoint allows you to manually settle a transaction.&#x20;

#### Path Parameters

| Name                                 | Type   | Description                          |
| ------------------------------------ | ------ | ------------------------------------ |
| id<mark style="color:red;">\*</mark> | string | Id of the transaction to be settled. |

#### Request Body

| Name   | Type   | Description               |
| ------ | ------ | ------------------------- |
| amount | String | The amount to be settled. |

{% tabs %}
{% tab title="200 " %}

```
{
    "message": "Deposit settled"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.publicmint.io/api/sandbox.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
